Pada proses pembaharuan certificate Letsencrypt terkadang mengalami masalah dan muncul error message seperti dibawah :

Command "/opt/eff.org/certbot/venv/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-jYNBt5/cryptography/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-4aPCGT-record/install-record.txt --single-version-externally-managed --compile --install-headers /opt/eff.org/certbot/venv/include/site/python2.7/cryptography" failed with error code 1 in /tmp/pip-build-jYNBt5/cryptography/
=====================================================

Certbot has problem setting up the virtual environment.

Based on your pip output, the problem can likely be fixed by
increasing the available memory.

Untuk mengatasi masalah tersebut ternyata hanya perlu menambah Swap saja, karena dari pesan error tersebut sudah cukup jelas harus menambah memory.

Ini terjadi karena VPS hanya memiliki RAM 512Mb saja, nah untuk menambah Swap cukup lakukan langkah-langkah seperti dibawah ini :

user@webserver:~$ sudo fallocate -l 1G /tmp/swapfile
user@webserver:~$ sudo chmod 600 /tmp/swapfile
user@webserver:~$ sudo mkswap /tmp/swapfile
user@webserver:~$ sudo swapon /tmp/swapfile

Dan apabila Swap dibutuhkan hanya saat update Letsencrypt saja maka dapat di nonaktifkan dengan langkah sebagai berikut :

user@webserver:~$ sudo swapoff /tmp/swapfile
user@webserver:~$ sudo rm /tmp/swapfile

Setelah melakukan perubahan diatas, saat ini Letsencrypt sudah bisa diperbaharui. Selamat mencoba ……

× Ada yang bisa dibantu?